Page MenuHomePhabricator

efl/gesture: remove manager config
ClosedPublic

Authored by zmike on Jan 30 2020, 8:48 AM.

Details

Summary

we can just use efl.config here instead of duplicating it

Depends on D11247

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 30 2020, 8:48 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n accepted this revision.Feb 3 2020, 11:21 PM
bu5hm4n added a subscriber: bu5hm4n.

Beside what i wrote in my comment, this looks good.

src/lib/evas/gesture/efl_canvas_gesture_manager.c
114

I know this is just copied over from the left, but i think we should be more careful here, and *not* set it to the config, rather set a default value in the config to this value, and have no default value in code here. (But that can wait until this beast has landed).

This revision is now accepted and ready to land.Feb 3 2020, 11:21 PM
zmike updated this revision to Diff 28893.Feb 7 2020, 7:21 AM
zmike edited the summary of this revision. (Show Details)

rebase

Closed by commit rEFL7da4ab3633e6: efl/gesture: remove manager config (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 14 2020, 12:23 AM
This revision was automatically updated to reflect the committed changes.